// Problem 2 Mountain Sort solution

#include <iostream>
#include <fstream>

using namespace std;


int main() {
	ifstream inputFile;
	int itemCount;

	inputFile.open("prob2.in");
	inputFile >> itemCount;

	int * myArray = new int [itemCount];

	for(int i = 0; i < itemCount; i++) {
		inputFile >> myArray[i];
	} // end for

	for (int firstUnsorted = 0; firstUnsorted < itemCount; firstUnsorted++) {
		int minIndex = firstUnsorted;
		for (int test = firstUnsorted+1; test < itemCount; test++) {
			if (myArray[test] < myArray[minIndex]) {
				minIndex = test;
			} // end if
		} // end for test
		int temp = myArray[firstUnsorted];
		myArray[firstUnsorted] = myArray[minIndex];
		myArray[minIndex] = temp;


	} // end for firstUnsorted

	//cout << "Ascending Order:" << endl;
	//for(int i = 0; i < itemCount; i++) {
	//	cout <<  myArray[i] << endl;
	//} // end for

	int * myMtSortArray = new int [itemCount];
	int rearFillIndex = itemCount - 1;
	int frontFillIndex = 0;
	for(int i = 0; i < itemCount; i++) {
		if (i%2 == 0) { // odd index to front
			myMtSortArray[frontFillIndex] = myArray[i];
			frontFillIndex++;
		} else {
			myMtSortArray[rearFillIndex] = myArray[i];
			rearFillIndex--;
		} // end if
	} // end for

	// cout << "Mt. Sort Order:" << endl;
	cout << itemCount << endl;
	for(int i = 0; i < itemCount; i++) {
		cout <<  myMtSortArray[i] << endl;
	} // end for
	
} // end main
