""" Problem 6 Solution:
    Written in Python 2.7
"""

def lowestCostSearch(n):
    costs = []
    for r in xrange(n+2):
        row = []
        for c in xrange(n+1):
            row.append(0)
        costs.append(row)

    #print "costs matrix initialized to 0s"

    for diagonal in xrange(1,n):
        #print diagonal
        for row in xrange (1, n - diagonal +1):
            col = row + diagonal
            minC = row + costs[row+1][col]
            for k in xrange(row+1,col):
                #print "row=",row,"  k=",k,"  col=",col
                if k + max(costs[row][k-1], costs[k+1][col]) < minC:
                    minC = k + max(costs[row][k-1], costs[k+1][col])
            costs[row][col] = minC
    return costs[1][n], costs

myFile = open("prob6.in", 'r')
n = int(myFile.readline().strip())

minCost, costs = lowestCostSearch(n)

total = 0
for row in xrange(1,n+1):
    total += costs[1][row]

print total


